Bug 61541 - unhandled PartialReadError() in up2date
unhandled PartialReadError() in up2date
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 04:13 EST by Martin Norback
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 09:04:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Norback 2002-03-21 04:13:35 EST
Description of Problem:
When using up2date to update, I got an uncaught PartialReadError()

How Reproducible:
Use up2date when up2date server fails :)

Actual Results:
  File "/usr/sbin/up2date", line 1131, in ?
    main()
  File "/usr/sbin/up2date", line 388, in main
    sys.exit(batchRun(argObj.getLong("list"), pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 1077, in batchRun
    up2date.getPackage(pkg, printPkg, printRetrieveHash)
  File "/usr/share/rhn/up2date_client/up2date.py", line 1120, in getPackage
    buffer = doCall(packageSource.getPackage, pkg, msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 400, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 124, in getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 557, in getPackage
    buffer = self._readFD(fd, size, filePath, progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 509, in _readFD
    raise PartialReadError()

Expected Results:
Better error reporting
Comment 1 Adrian Likins 2002-03-25 19:11:28 EST
This should be fixed in version 2.7.61 or higher (already fixed in cvs)

Those versions should be available soon.
Comment 2 Matt Jamison 2003-05-22 09:04:07 EDT
closing bug.

Note You need to log in before you can comment on or make changes to this bug.